// IDADownloadManager.aidl
package com.lbe.doubleagent.service;
import com.lbe.doubleagent.service.DADownloadRequest;
import android.content.Intent;
import android.content.ComponentName;
// Declare any non-default types here with import statements

interface IDADownloadManager {
  int getDownloadConfig(in int vuid, in int version, out List<DADownloadRequest> userRequest);
  void enqueue(in int vuid, in DADownloadRequest request);
  Intent interceptDownloadComplete(in int vuid, in Intent origenIntent, in ComponentName componentName);
  oneway void onMobileAppDownloadAutoCancel(in String packageName);
  IBinder getWrappedProvider(IBinder binder);
}
