// IDANotificationManager.aidl
package com.lbe.mdremote.common;
import com.lbe.doubleagent.service.statusbar.DALockScreenStatusBarNotification;
import com.lbe.mdremote.common.ILockScreenNotificationListener;
// Declare any non-default types here with import statements

interface IDANotificationManager {
    void setNotificationState(int vuid, String packageName, int state);
    Map getNotificationState(int vuid, boolean includeGMSPackages);
    List<DALockScreenStatusBarNotification> getLockScreenActiveNotifications();
    void registerLockScreenNotificationListener(in ILockScreenNotificationListener listener);
    void unregisterLockScreenNotificationListener(in ILockScreenNotificationListener listener);
    void cancelLockScreenNotification(String key);
    void cancelLockScreenAllNotifications(int vuid);
//    void systemMaybeCancelNotification(int vuid, String packageName, int id, String tag);
}
