// IDAThemeManager.aidl
package com.lbe.mdremote.common;
import android.content.pm.ApplicationInfo;
// Declare any non-default types here with import statements
import com.lbe.mdremote.common.ThemeConfig;
interface IDAThemeManager {
    ThemeConfig registerTheme(String theme);
    void unregisterTheme(String theme);
    int enableTheme(int vuid, String theme);
    int disableTheme(int vuid, String target);
    ThemeConfig getEnabledTheme(int vuid, String target);
    ThemeConfig[] getRegisteredThemes(String target);
    boolean isThemePluginType(in ApplicationInfo info);
    boolean isThemeEnabled(int vuid, String theme);
}
