// IDAPackageObserver.aidl
package com.lbe.mdremote.common;

// Declare any non-default types here with import statements

interface IDAPackageObserver {
    void onVirtualPackageAdded(int vuid, String packageName);
    void onVirtualPackageRemoved(int vuid, String packageName);
    void onSystemPackageAdded(String packageName);
    void onSystemPackageRemoved(String packageName);
    void onSystemPackageReplaced(String packageName);
    void onPluginPackageAdded(int vuid, String packageName, boolean isFirstAdded);
    void onPluginPackageRemoved(int vuid, String packageName, boolean isLastRemove);
    void onPluginPackageReplaced(String packageName);
    void onPluginAutoUpgradeSystemPackage(String packageName, boolean isReplace);
}
